# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('assessments', '0003_auto_20150703_1355'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='certificationcompetencythreshold',
            options={'ordering': ('status__program', 'threshold'), 'verbose_name': 'certification competency threshold', 'verbose_name_plural': 'certification competency thresholds'},
        ),
        migrations.AlterModelOptions(
            name='certificationprogram',
            options={'ordering': ('name',), 'verbose_name': 'certification program', 'verbose_name_plural': 'certification programs'},
        ),
        migrations.AlterModelOptions(
            name='certificationstatus',
            options={'ordering': ('global_threshold',), 'verbose_name': 'certification status', 'verbose_name_plural': 'certification statuses'},
        ),
        migrations.RemoveField(
            model_name='certificationstatus',
            name='sort_order',
        ),
        migrations.AddField(
            model_name='certificationprogram',
            name='tree',
            field=models.ForeignKey(related_name='certification_programs', default=None, to='assessments.CompetencyTree'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='certificationstatus',
            name='global_threshold',
            field=models.PositiveIntegerField(help_text='The minimal global score required to earn this status.', default=0),
        ),
        migrations.AlterField(
            model_name='certificationcompetencythreshold',
            name='competency',
            field=models.ForeignKey(to='assessments.Competency', related_name='certification_thresholds'),
        ),
        migrations.AlterField(
            model_name='certificationcompetencythreshold',
            name='status',
            field=models.ForeignKey(to='assessments.CertificationStatus', related_name='competency_thresholds'),
        ),
        migrations.AlterField(
            model_name='certificationcompetencythreshold',
            name='threshold',
            field=models.PositiveIntegerField(help_text='The minimal competency score required to earn this status.', default=0),
        ),
        migrations.AlterField(
            model_name='certificationprogram',
            name='name',
            field=models.CharField(unique=True, max_length=255),
        ),
        migrations.AlterField(
            model_name='certificationprogramuserstatus',
            name='program',
            field=models.ForeignKey(related_name='user_statuses', null=True, to='assessments.CertificationProgram', blank=True),
        ),
        migrations.AlterField(
            model_name='certificationprogramuserstatus',
            name='status',
            field=models.ForeignKey(related_name='user_certifications', null=True, to='assessments.CertificationStatus', blank=True),
        ),
        migrations.AlterField(
            model_name='certificationprogramuserstatus',
            name='user',
            field=models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='certification_statuses'),
        ),
    ]
